Skip to main content
GET
List conversation messages

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

Conversation id (customerPlatformId)

Query Parameters

limit
number
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100.

cursor
string

A cursor for use in pagination. Use the nextCursor returned by the previous request.

order
enum<string>
default:desc

Sort order by creation. desc returns the newest messages first.

Available options:
asc,
desc
created_at_from
string

Only return messages created after this date.

created_at_to
string

Only return messages created before this date.

Response

200 - application/json
data
object[]
required
nextCursor
string | null
required

Cursor for the next page. Null if there are no more results.